uaCSTA Call Control API Overview

Yeastar S50, S100 and S300 support uaCSTA connection with specific IP phones to realize uaCSTA control feature.

Prerequisites

To perform the uaCSTA control operations for IP phones, make sure the following requirements are met.

Supported IP phones

Compatible Yealink IP phones

Yealink phone models Firmware version
SIP-T21P_E2 52.84.0.125 or later
SIP-T21_E2 52.84.0.125 or later
SIP-T23P 44.84.0.125 or later
SIP-T23G 44.84.0.125 or later
SIP-T27G 69.84.0.125 or later
SIP-T29G 46.83.0.120 or later
SIP-T40P 54.84.0.125 or later
SIP-T40G 76.84.0.125 or later
SIP-T41S 66.84.0.125 or later
SIP-T41P 36.83.0.120 or later
SIP-T42S 66.84.0.125 or later
SIP-T42G 29.83.0.120 or later
SIP-T46S 66.84.0.125 or later
SIP-T46G 28.83.0.120 or later
SIP-T48S 66.84.0.125 or later
SIP-T48G 35.83.0.120 or later
SIP-T41U 108.84.0.119 or later
SIP-T42U 108.84.0.119 or later
SIP-T43U 108.84.0.119 or later
SIP-T46U 108.84.0.119 or later
SIP-T48U 108.84.0.119 or later
SIP-T52S 70.84.0.70 or later
SIP-T54S 70.84.0.70 or later
SIP-T53 95.84.0.125 or later
SIP-T53W 95.84.0.125 or later
SIP-T54W 96.84.0.125 or later
SIP-T57W 97.84.0.125 or later
SIP-T56A 58.83.0.15 or later
SIP-T58A 58.84.0.20 or later
SIP-VP59 91.283.0.40 or later
Compatible Fanvil IP phones
Fanvil phone models Firmware version
X4U 2.0.3 or later
X5U 2.0.3 or later
X5S 2.0.3 or later
X6 2.0.3 or later
X6U 2.0.3 or later
X7 2.0.3 or later
X7C 2.0.3 or later
X210 2.0.3 or later
X210i 2.0.3 or later